<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XFeatureControlConfig StructType
 * @subpackage Structs
 */
class XFeatureControlConfig extends AbstractStructBase
{
    /**
     * The featureName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $featureName;
    /**
     * The overrideDefault
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $overrideDefault;
    /**
     * The enableSetting
     * Meta information extracted from the WSDL
     * - documentation: This tag will be taken to consideration only when 'overrideDefault' tag is set to True.This will be handled in the code.
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableSetting;
    /**
     * Constructor method for XFeatureControlConfig
     * @uses XFeatureControlConfig::setFeatureName()
     * @uses XFeatureControlConfig::setOverrideDefault()
     * @uses XFeatureControlConfig::setEnableSetting()
     * @param string $featureName
     * @param string $overrideDefault
     * @param string $enableSetting
     */
    public function __construct($featureName = null, $overrideDefault = null, $enableSetting = null)
    {
        $this
            ->setFeatureName($featureName)
            ->setOverrideDefault($overrideDefault)
            ->setEnableSetting($enableSetting);
    }
    /**
     * Get featureName value
     * @return string
     */
    public function getFeatureName()
    {
        return $this->featureName;
    }
    /**
     * Set featureName value
     * @param string $featureName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFeatureControlConfig
     */
    public function setFeatureName($featureName = null)
    {
        $this->featureName = $featureName;
        return $this;
    }
    /**
     * Get overrideDefault value
     * @return string|null
     */
    public function getOverrideDefault()
    {
        return $this->overrideDefault;
    }
    /**
     * Set overrideDefault value
     * @param string $overrideDefault
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFeatureControlConfig
     */
    public function setOverrideDefault($overrideDefault = null)
    {
        $this->overrideDefault = $overrideDefault;
        return $this;
    }
    /**
     * Get enableSetting value
     * @return string|null
     */
    public function getEnableSetting()
    {
        return $this->enableSetting;
    }
    /**
     * Set enableSetting value
     * @param string $enableSetting
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFeatureControlConfig
     */
    public function setEnableSetting($enableSetting = null)
    {
        $this->enableSetting = $enableSetting;
        return $this;
    }
}
